package com.xhpc.card.mapper;

import com.xhpc.card.pojo.XhpcOperator;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface XhpcOperatorMapper {

    int deleteByPrimaryKey(Long operatorId);

    int insert(XhpcOperator record);

    int insertSelective(XhpcOperator record);

    XhpcOperator selectByPrimaryKey(Long operatorId);

    int updateByPrimaryKeySelective(XhpcOperator record);

    int updateByPrimaryKey(XhpcOperator record);

    /**
     * 根据运营商名称查询出对应的运营商实体类
     *
     * @author WH
     * @date 2022/2/8 15:15
     * @since version-1.0
     */
    XhpcOperator selectByName(String grantOperatorName);

    /**
     * according tenant id of platform query id and name of every operator
     *
     * @author WH
     * @date 2022/2/12 15:23
     * @since version-1.0
     */
    List<XhpcOperator> selectAll(String tenantId);

    /**
     * query XhpcOperator according corpNo
     *
     * @author WH
     * @date 2022/3/2 14:57
     * @since version-1.0
     */
    XhpcOperator selectOneByCorpNoAndTenantId(@Param("corpNo") String corpNo, @Param("tenantId") String tenantId);

}